<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('lunch_break_settings', function (Blueprint $table) {
            $table->id();
            $table->time('schedule_from_time')->index();
            $table->time('schedule_to_time')->index();
            $table->time('start_break_time');
            $table->time('end_break_time');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('lunch_break_settings');
    }
};
